org.jgrapht.alg.flow

## Class PushRelabelMaximumFlow.VertexExtension

- java.lang.Object
- - org.jgrapht.alg.util.Extension.BaseExtension
  - - org.jgrapht.alg.flow.PushRelabelMaximumFlow.VertexExtension

- Enclosing class:
    PushRelabelMaximumFlow<V,E>

      public class PushRelabelMaximumFlow.VertexExtension
      extends Extension.BaseExtension

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushRelabelMaximumFlow.VertexExtension()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<EE extends org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.EdgeExtensionBase> List<EE>` | `getOutgoing()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PushRelabelMaximumFlow.VertexExtension

          public PushRelabelMaximumFlow.VertexExtension()

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getOutgoing

          public <EE extends org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.EdgeExtensionBase> List<EE> getOutgoing()

Copyright © 2016. All rights reserved.